<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<CopyLocalLockFileAssemblies>true</CopyLocalLockFileAssemblies>
	</PropertyGroup>


	<ItemGroup>
		<PackageReference Include="Mapster" Version="7.4.0" />
		<PackageReference Include="Mapster.Core" Version="1.2.1" />
		<PackageReference Include="MediatR" Version="12.2.0" />
		<PackageReference Include="Microsoft.Extensions.Identity.Stores" Version="8.0.3" />
		<PackageReference Include="PropertyChanged.Fody" Version="4.1.0" />
	</ItemGroup>

	<!--<PropertyGroup>
		<TargetFramework>net5.0</TargetFramework>
		<LangVersion>10</LangVersion>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>



	<ItemGroup>
		<PackageReference Include="Mapster" Version="7.3.0" />
		<PackageReference Include="Mapster.Core" Version="1.2.0" />
		<PackageReference Include="MediatR" Version="12.1.1" />
		<PackageReference Include="Microsoft.Extensions.Identity.Stores" Version="5.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.0" />
		<PackageReference Include="PropertyChanged.Fody" Version="4.1.0" />
	</ItemGroup>-->


	<ItemGroup>
		<Folder Include="Dtos\FilterDtos\" />
		<Folder Include="Dtos\DashboardDtos\" />
		<Folder Include="Entities\StorageFiles\" />
		<Folder Include="Models\Settings\" />
	</ItemGroup>


	<Target Name="Mapster">
		<Exec WorkingDirectory="$(ProjectDir)" Command="dotnet build -p:CopyLocalLockFileAssemblies=true" />
		<Exec WorkingDirectory="$(ProjectDir)" Command="dotnet tool restore" />
		<Exec WorkingDirectory="$(ProjectDir)" Command="dotnet mapster extension -a &quot;$(TargetDir)$(ProjectName).dll&quot; -n NetinaShop.Domain.Mappers -o Mappers" />
		<Exec WorkingDirectory="$(ProjectDir)" Command="dotnet mapster mapper -a &quot;$(TargetDir)$(ProjectName).dll&quot; -n NetinaShop.Domain.Mappers -o Mappers" />
	</Target>

	<ItemGroup>
		<ProjectReference Include="..\NetinaShop.Common\NetinaShop.Common.csproj" />
	</ItemGroup>


	<ItemGroup>
		<Using Include="Mapster" />
		<Using Include="MediatR" />
		<Using Include="Microsoft.AspNetCore.Identity" />
		<Using Include="Microsoft.Extensions.Logging" />
		<Using Include="NetinaShop.Common.Extensions" />
		<Using Include="NetinaShop.Common.Models.Entity" />
		<Using Include="NetinaShop.Common.Models.Mapper" />
		<Using Include="NetinaShop.Domain.Dtos.LargDtos" />
		<Using Include="NetinaShop.Domain.Dtos.RequestDtos" />
		<Using Include="NetinaShop.Domain.Dtos.ResponseDtos" />
		<Using Include="NetinaShop.Domain.Dtos.SmallDtos" />
		<Using Include="NetinaShop.Domain.Entities.Blogs" />
		<Using Include="NetinaShop.Domain.Entities.Brands" />
		<Using Include="NetinaShop.Domain.Entities.Discounts" />
		<Using Include="NetinaShop.Domain.Entities.Orders" />
		<Using Include="NetinaShop.Domain.Entities.ProductCategories" />
		<Using Include="NetinaShop.Domain.Entities.Products" />
		<Using Include="NetinaShop.Domain.Entities.StorageFiles" />
		<Using Include="NetinaShop.Domain.Entities.Users" />
		<Using Include="NetinaShop.Domain.Entities.Warehouses" />
		<Using Include="NetinaShop.Domain.Enums" />
		<Using Include="System.ComponentModel.DataAnnotations" />
		<Using Include="System.Diagnostics" />
		<Using Include="System.Reflection" />
	</ItemGroup>

</Project>
